
pfSense Packages - Bug #11640

Ntopng configuration and data loss when shutting down Redis

03/09/2021 06:37 PM - Denny Page

Status: Closed Start date: 03/09/2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: ntop Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

 

Affected Version: 2.5.0 Affected

Architecture:

All

Description

In addition to monitoring information, ntopng stores configuration/customization performed using the ntopng GUI in the Redis

database.

The default Redis configuration flushes writes to disk every 15 minutes. When shutting down, ntopng.sh sends a SIGTERM to the

Redis server, which causes in the Redis server exiting immediately without flushing pending writes to disk. This results in the loss of

all data and configuration written since the last sync to disk.

History

#1 - 03/10/2021 06:10 AM - Viktor Gurov

fix:

https://gitlab.netgate.com/pfSense/FreeBSD-ports/-/merge_requests/70

#2 - 03/10/2021 07:28 AM - Jim Pingle

- Status changed from New to Pull Request Review

#3 - 03/10/2021 08:14 AM - Jim Pingle

There is also https://github.com/pfsense/FreeBSD-ports/pull/1053 for this -- not sure which way is better in the end.

#4 - 03/10/2021 09:11 AM - Viktor Gurov

Jim Pingle wrote:

There is also https://github.com/pfsense/FreeBSD-ports/pull/1053 for this -- not sure which way is better in the end.

 this one is better

#5 - 03/16/2021 01:53 PM - Renato Botelho

- Status changed from Pull Request Review to Feedback

- Assignee changed from Denny Page to Renato Botelho

PR has been merged.  Thanks!

#6 - 04/21/2022 12:40 PM - Renato Botelho

- Assignee deleted (Renato Botelho)

#7 - 04/21/2022 06:16 PM - Denny Page

The PR was merged quite come time ago. I believe this bug can be closed as complete.

#8 - 04/22/2022 07:39 AM - Jim Pingle

- Status changed from Feedback to Closed
